package cn.com.countrygarden.bi.main.dao.ck.green;


import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerTableVo;
import cn.com.countrygarden.bi.main.model.ck.green.CkGreenBasic;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 木木子
 * @Description: 基础数据表-数据层
 * @email 944528607@qq.com
 * @date 2020/4/20  9:13
 */
public interface CkGreenBasicMapper extends Mapper<CkGreenBasic> {

    CkGreenBasic inheritBasicInfo(@Param("query") CkGreenBasic basic);

    List<CkCleanerTableVo> statisProjDetadNot(@Param("year") int year, @Param("month") int month);

    List<CkGreenBasic> statisPr(@Param("ckCleanerBasic") CkGreenBasic ckCleanerBasic);

    List<CkGreenBasic> selectBasic(@Param("ckCleanerBasic") CkGreenBasic ckCleanerBasic);

     int updateBylocking(CkGreenBasic ckCleanerBasic);
}